## MS Firmware ID MS Firmware ID |

## Functions

MbimMessage * | mbim_message_ms_firmware_id_get_query_new ()
gboolean | mbim_message_ms_firmware_id_get_response_parse ()

## Description

## Functions

### mbim_message_ms_firmware_id_get_query_new ()

    MbimMessage *
    mbim_message_ms_firmware_id_get_query_new
                                   (GError **error);

Create a new request for the 'Get' query command in the 'MS Firmware ID' service.

#### Parameters

error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

### mbim_message_ms_firmware_id_get_response_parse ()

    gboolean
    mbim_message_ms_firmware_id_get_response_parse
                                   (const MbimMessage *message,
                                    const MbimUuid **firmware_id,
                                    GError **error);

Create a new request for the 'FirmwareId' response command in the 'MS Firmware ID' service.

#### Parameters

message | the MbimMessage. |
firmware_id | return location for a MbimUuid, or `NULL` if the 'FirmwareId' field is not needed. Do not free the returned value, it is owned by `message` . |
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

## Types and Values